﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
using Microsoft.Data.SqlClient;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Data;
using System.Threading;
using System.Threading.Tasks;
using TEC.DAL.Models;

namespace TEC.DAL.Models
{
    public partial interface IDB_PRUEBA_TECNICAContextProcedures
    {
        Task<int> PRO_APP_USUARIOS_ACTUALIZACIONAsync(string Nombre, DateTime? Fecha_Nacimiento, string Sexo, OutputParameter<int> Respuesta = null, OutputParameter<int> returnValue = null, CancellationToken cancellationToken = default);
        Task<List<PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult>> PRO_APP_USUARIOS_CONSULTAR_PAGINADOAsync(int? Numero_Pagina, int? Cantidad_Por_Pagina, OutputParameter<int> Cantidad_Total = null, OutputParameter<int> Numero_Pagina_Maximo = null, OutputParameter<int> returnValue = null, CancellationToken cancellationToken = default);
        Task<List<PRO_APP_USUARIOS_CONSULTAR_TODOSResult>> PRO_APP_USUARIOS_CONSULTAR_TODOSAsync(OutputParameter<int> returnValue = null, CancellationToken cancellationToken = default);
        Task<int> PRO_APP_USUARIOS_ELIMINACIONAsync(string Nombre, OutputParameter<int> Respuesta = null, OutputParameter<int> returnValue = null, CancellationToken cancellationToken = default);
        Task<int> PRO_APP_USUARIOS_INSERCIONAsync(string Nombre, DateTime? Fecha_Nacimiento, string Sexo, OutputParameter<int> Respuesta = null, OutputParameter<int> returnValue = null, CancellationToken cancellationToken = default);
    }
}
